---
layout: release
date: 2021-07-25
tag: v0.5.39
---

## What's New
## 🔤 General
- Revert dynamic provider version @utkarsh-pro (#3647)
- remove codeowners @navendu-pottekkat (#3646)
- Issue #3508/ added token command for CRUD operations @Revolyssup (#3522)
- [UI] Filters: Action Enhancements @Chadha93 (#3638)
- Add support for custom callback URL in meshery server @utkarsh-pro (#3544)
- Fix mesheryctl pattern delete @utkarsh-pro (#3633)
- Error2/debjani1413 @kumarabd (#3609)
- Kumarabd/feature/ci @kumarabd (#3603)
- [UI] Changed labels on settings button @sayantan1413 (#3579)
- [Security] Provider UI: CVE-2020-28469 @leecalcote (#3604)
- Fix mesheryctl lint errors @navendu-pottekkat (#3602)
- Adding mesheryctl errors to meshkit errors @metonymic-smokey (#3545)
- [Docs] REST API:  endpoint @piyushsingariya (#3412)
- mesheryctl refactor 3 @navendu-pottekkat (#3592)

## 🧰 Maintenance

- Bump gorm.io/gorm from 1.20.10 to 1.21.12 @dependabot (#3623)
- Bump immutable from 4.0.0-rc.12 to 4.0.0-rc.14 in /ui @dependabot (#3629)
- Bump codemirror from 5.59.4 to 5.62.2 in /ui @dependabot (#3627)
- Bump start-server-and-test from 1.12.6 to 1.13.0 in /provider-ui @dependabot (#3616)
- Bump github.com/layer5io/meshery-operator from 0.2.19 to 0.2.20 @dependabot (#3625)
- [CI] Updated the meshkit utility runner for the mesheryctl error codes @sayantan1413 (#3611)
- Bump start-server-and-test from 1.12.5 to 1.13.0 in /ui @dependabot (#3621)
- Bump eslint from 7.30.0 to 7.31.0 in /provider-ui @dependabot (#3614)
- Bump glob-parent from 5.1.2 to 6.0.1 in /provider-ui @dependabot (#3617)
- Bump @types/react-relay from 11.0.1 to 11.0.2 in /ui @dependabot (#3630)
- Bump @cypress/code-coverage from 3.9.7 to 3.9.9 in /ui @dependabot (#3622)
- Bump @material-ui/core from 4.12.1 to 4.12.2 in /provider-ui @dependabot (#3612)
- Bump eslint from 7.29.0 to 7.31.0 in /ui @dependabot (#3615)
- Bump cypress from 7.7.0 to 8.0.0 in /provider-ui @dependabot (#3618)
- Bump @rjsf/material-ui from 2.5.1 to 3.0.0 in /ui @dependabot (#3619)
- Bump nodemon from 2.0.10 to 2.0.12 in /provider-ui @dependabot (#3620)
- Bump github.com/vektah/gqlparser/v2 from 2.1.0 to 2.2.0 @dependabot (#3624)
- Bump @babel/types from 7.14.0 to 7.14.8 in /ui @dependabot (#3631)
- Bump @date-io/moment from 2.10.11 to 2.11.0 in /ui @dependabot (#3632)
- Bump husky from 7.0.0 to 7.0.1 in /ui @dependabot (#3628)
- Bump github.com/spf13/cobra from 1.1.3 to 1.2.1 @dependabot (#3626)
- Bump @cypress/code-coverage from 3.9.8 to 3.9.9 in /provider-ui @dependabot (#3613)
- Fix import path for bitcask @prologic (#3596)
- Separate CI build test for meshery and provider UI @iamsdas (#3503)
- Updated the mesheryctl workflow script to fix the forked repo workflow trigger issue @samirparhi-dev (#3583)
- Bump glob-parent from 3.1.0 to 5.1.2 in /provider-ui @dependabot (#3607)
- [CI] Docs: escape liquid tags @leecalcote (#3605)
- update golint to revive @navendu-pottekkat (#3601)
- [CI] bump golanglint version to 1.41.x @leecalcote (#3591)
- update goreleaser-action version in the workflow @navendu-pottekkat (#3593)
- updated golang version in dockerfile @warunicorn19 (#3589)

## 📖 Documentation

- [DOCS] meshery UI contributing @bariqhibat (#3594)
- Updating the error docs @Shreyas220 (#3512)
- [CI] Docs: escape liquid tags @leecalcote (#3605)
- Correct redirection of the links @Anand-Theertha (#3598)
- Added documentation of some features in the contributing docs @debjani1413 (#3587)
- made error codes component table mobile friendly @debo19 (#3575)
- [Docs] Contributing: Breaking out Meshery Server into separate page @leecalcote (#3577)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@Anand-Theertha, @Chadha93, @Revolyssup, @Shreyas220, @adithyaakrishna, @bariqhibat, @debjani1413, @debo19, @dependabot, @dependabot[bot], @dhruv0000, @iamsdas, @kumarabd, @leecalcote, @metonymic-smokey, @mgfeller, @navendu-pottekkat, @piyushsingariya, @prologic, @samirparhi-dev, @sayantan1413, @utkarsh-pro, @warunicorn19 and l5io
 
