---
layout: release
date: 2022-02-11
tag: v0.6.0
---

## What's New
## 🔤 General
- Minor fix in makefile @Revolyssup (#5052)
- Remove Rudraksh from CI maintainers @Revolyssup (#5051)
- Add support for importing patterns via URL inside services @Revolyssup (#5038)
- addendum to the existing governance policy @warunicorn19 (#4992)
- Upgrade github.com/layer5io/nighthawk-go to v0.5.0 @gyohuangxin (#4999)
- [Extensions] Addition remote config component @Chadha93 (#4985)
- Fix: Visualizer crashes on first try | CU-1x74e8a @manav1403 (#4984)
- Update affiliation @verma-kunal (#4983)
- [Docs] Handbook info addition | CU-1ydvcdq @Chadha93 (#4969)
- Fix traefik mesh and istio helm charts @Revolyssup (#4970)
- Added Site Maintainers @debo19 (#4962)

## ⌨️ Meshery CLI

- [mesheryctl] Make system stop --force not return errors @gr455 (#5057)
- [mesheryctl] bug: stop restart on non-confirmation @navendu-pottekkat (#5044)
- [mesheryctl] Make `stop` wait for namespace to be deleted  @gr455 (#5021)
- [mesheryctl] Minor issue with docker platform deployment @piyushsingariya (#5045)
- [chore] Cleaning repeatitive code in utils folder @piyushsingariya (#4690)
- switched IsMesheryRunning with AreMesheryComponentsRunning @piyushsingariya (#5020)
- Added flag to control browser behaviour @MUzairS15 (#4959)

## 🖥 Meshery UI

- [Applications] Meshery Application Upload Fix @Abhishek-kumar09 (#5056)
- feat: add rjsf-json-schema-builder @Abhishek-kumar09 (#5018)
- [UI] Prevent duplicate snackbar 🐛 bug fix @Chadha93 (#5016)
- [UI] removed the configuration/edit button @asubedy (#5010)
- fixed zIndex of the service-mesh selector @asubedy (#5013)
- set cursor to pointer @Sunnyio (#5011)
- Bump cached-path-relative from 1.0.2 to 1.1.0 in /provider-ui @dependabot (#5000)
- [Extensions] icon for meshmap @warunicorn19 (#5005)
- [Extensions] Icons to remote config @warunicorn19 (#5004)
- Bump cached-path-relative from 1.0.2 to 1.1.0 in /ui @dependabot (#5001)
- Bump nanoid from 3.1.23 to 3.2.0 in /ui @dependabot (#4996)
- Bump nanoid from 3.1.25 to 3.2.0 in /provider-ui @dependabot (#4995)
- [Chore] Octarine deprecation (partial) @leecalcote (#4988)
- [FIX]:UI Aligned in Pattern Configration @Sonichigo (#4990)
- [Perf] [UI] Added Subscription for performance Test @manav1403 (#4963)
- [UI] shifted the create pattern button to custom-toolbar: @asubedy (#4973)
- [UI} added style prop to  MesheryPerformanceComponent component @manav1403 (#4976)
- [RJSF Add validation to the RJSF form | CU-1zgbtk0 @sudo-NithishKarthik (#4975)
- [UI] Swap mailing list with discussion forum link @leecalcote (#4965)
- fixed success message on pinging grafana @warunicorn19 (#4957)
- Added Error state handling card to sparkline charts also | CU-1yz3q75 @manav1403 (#4955)
- fixed success message for kubernetes chip @warunicorn19 (#4952)

## 🔋 Patterns, Filters, Applications

- [Applications] Meshery Application Upload Fix @Abhishek-kumar09 (#5056)
- Improve application endpoint @Revolyssup (#5055)
- Remove core.Service @Revolyssup (#4974)
- Fix #4942 @utkarsh-pro (#4960)

## 🧰 Maintenance

- Bump github.com/layer5io/meshery-operator from 0.5.1 to 0.5.2 @dependabot (#5027)
- [chore] Cleaning repeatitive code in utils folder @piyushsingariya (#4690)
- Bump cached-path-relative from 1.0.2 to 1.1.0 in /provider-ui @dependabot (#5000)
- Bump cached-path-relative from 1.0.2 to 1.1.0 in /ui @dependabot (#5001)
- Bump nanoid from 3.1.23 to 3.2.0 in /ui @dependabot (#4996)
- Bump nanoid from 3.1.25 to 3.2.0 in /provider-ui @dependabot (#4995)

## 📖 Documentation

- [Docs] updated compatibility matrix page to show tests according to service-mesh @asubedy (#5009)
- increase navbar width in docs @Sunnyio (#5041)
- [UI]: Refactors meshery docs footer to match with Layer5 and Meshery websites. @Nik-09 (#5017)
- [Docs] API: Authentication tokens - incorporated feedback @leecalcote (#4997)
- Updated the get token part @unnati914 (#4980)
- added missing mesheryctl guides @Vidyaa123 (#4940)
- [docs] adding documentation for OAM URLS @piyushsingariya (#4943)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@Abhishek-kumar09, @Aisuko, @Chadha93, @MUzairS15, @Nik-09, @Revolyssup, @Sonichigo, @Sunnyio, @Vidyaa123, @adithyaakrishna, @asubedy, @debo19, @dependabot, @dependabot[bot], @gr455, @gyohuangxin, @hexxdump, @l5io, @leecalcote, @manav1403, @navendu-pottekkat, @piyushsingariya, @sudo-NithishKarthik, @unnati914, @utkarsh-pro, @verma-kunal and @warunicorn19
